<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- for blog posts -->
    <meta charset="UTF-8">
    <link href="https://brendan.ie/main.css" rel="stylesheet">

    <title>{title}</title>

    <meta content="{title}" name="title">
    <meta content="Brendan Golden" name="author">
    <meta content="Brendan's Home" name="description">

    <!-- for mobile devices -->
    <meta content="width=device-width,initial-scale=1" name="viewport">

    <!-- for code formatting -->
    <link href="//cdnjs.cloudflare.com/ajax/libs/highlight.js/11.2.0/styles/rainbow.min.css" rel="stylesheet">
    <script src="https://brendan.ie/highlight.min.js"></script>
    <script>hljs.highlightAll()</script>
    <script type="module">
      import mermaid from 'https://unpkg.com/mermaid@9/dist/mermaid.esm.min.mjs';
      mermaid.init({ startOnLoad: true }, '.language-mermaid');
    </script>

    <!-- brendan.coffee -->
    <link href="https://brendan.ie/coffee/coffee.css" rel="stylesheet">
    <script src="https://brendan.ie/coffee/coffee.js"></script>
  </head>
  <body class="sticky-wrapper">
  <div id="coffee_anchor"><span id="served"></span></div>
  <script>C0FFEE()</script>
  <header>
    <h1>Brendan's Uni Ramblings</h1>
    <span>
      <a href="./{first}"><<</a> <wbr/>
      <a href="./{prev}"><</a> <wbr/>
      <a href="./">Index</a> <wbr/>
      <a href="./{next}">></a> <wbr/>
      <a href="./{last}">>></a> <wbr/>
    </span>
  </header>

  <main>
<!--indentation is managed by the converter-->
    <h1>{title}</h1>
    <h4>{date}</h4>
{body}
  </main>

  <footer>
    <!-- Spreads it out longways-->
    <span>
      © 2021-<span id="year">2021</span> | <wbr/>
      Brendan Golden | <wbr/>
      Email: contact_me(at symbol)brendan.ie <a href="mailto:contact_website@brendan.ie"></a><a href="mailto:contact@brendan.ie"></a>  | <wbr/>
      Gitlab: <a href="https://gitlab.com/Brendan_Golden">Brendan_Golden</a> | <wbr/>
      Discord: Silver#5563 | <wbr/>
      Mastodon: <a rel="me" href="https://mastodon.brendan.ie/@silver">@silver</a>
    </span>
  </footer>
  <script>
    /* I am a lazy fucker */
    document.getElementById('year').textContent = new Date().getFullYear().toString()
  </script>
  </body>
</html>